> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Download Url

> Get a signed URL for file download.

Returns a time-limited URL that can be used to download the file without
authentication. The URL expires after 15 minutes.

Returns:
    SignedUrlResponse with signed URL and expiration time.

Raises:
    HTTPException: 404 if file not found.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json get /files/{name}/url
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /files/{name}/url:
    get:
      tags:
        - files
      summary: Get Download Url
      description: |-
        Get a signed URL for file download.

        Returns a time-limited URL that can be used to download the file without
        authentication. The URL expires after 15 minutes.

        Returns:
            SignedUrlResponse with signed URL and expiration time.

        Raises:
            HTTPException: 404 if file not found.
      operationId: files-get_download_url
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignedUrlResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SignedUrlResponse:
      properties:
        url:
          type: string
          title: Url
        expires_in:
          type: integer
          title: Expires In
      type: object
      required:
        - url
        - expires_in
      title: SignedUrlResponse
      description: Response containing a signed download URL.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````